%define major 5
%define libname %mklibname mpcdec %{major}
%define develname %mklibname mpcdec -d

Summary:	Portable Musepack decoder library
Name:		libmpcdec
Version:	1.2.6
Release:	%mkrel 4
License:	BSD
Group:		System/Libraries
URL:		http://www.musepack.net/
Source:		http://files.musepack.net/source/%{name}-%{version}.tar.xz

%description
Portable Musepack decoder library.

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries
Obsoletes:  mpctools 
Obsoletes:  lib64mpcdec7
Provides: lib64mpcdec7 = %version-%release

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:  lib64mpcdec7-devel
Provides:   lib64mpcdec7-devel = %version-%release

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

# to make autoreconf happy
sed -i -e 's,AM_PROG_LIBTOOL,AM_PROG_LIBTOOL\nAC_PROG_CXX,' configure.ac

%build
# to recognize aarch64
autoreconf -vfi

%configure2_5x \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%doc AUTHORS README ChangeLog
%{_includedir}/*
%{_libdir}/%{name}.so


%changelog
* Mon Apr 22 2019 tex 1.2.6-4pclos2019
- rebuild
- obsolete: mpctools lib64mpcdec7
